<div>
    <h2 id="page-heading">
        <span jhiTranslate="simpleBlogApp.post.home.title">Posts</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-post" [routerLink]="['/post/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="simpleBlogApp.post.home.createLabel">
            Create new Post
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="posts">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span jhiTranslate="global.field.id">ID</span></th>
            <th><span jhiTranslate="simpleBlogApp.post.titile">Titile</span></th>
            <th><span jhiTranslate="simpleBlogApp.post.content">Content</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let post of posts ;trackBy: trackId">
                <td><a [routerLink]="['/post', post.id, 'view' ]">{{post.id}}</a></td>
                <td>{{post.titile}}</td>
                <td>{{post.content}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/post', post.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/post', post.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'post', { outlets: { popup: post.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
